package com.ss.android.ugc.aweme.commercialize.depend;

import X.2Pr;
import X.3i8;
import X.9Vn;
import X.C2295KqU;
import X.C2331Kr4;
import X.C2376Krn;
import X.C2506Ktt;
import X.C2507Ktu;
import X.C2508Ktv;
import X.C2553Kue;
import X.C2577Kv2;
import X.C4672Lnj;
import X.C4949LsC;
import X.C4954LsH;
import X.EIS;
import X.FML;
import X.M12;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.agilelogger.ALog;
import com.ss.android.ugc.aweme.commercialize.util.adrouter.IAdRouterHandlerDepend;
import org.json.JSONObject;

public final class AdRouterHandlerDependImpl implements IAdRouterHandlerDepend {
    static {
        Covode.recordClassIndex(58363);
    }

    public final String LIZ() {
        return "snssdk" + 9Vn.LIZ;
    }

    public static IAdRouterHandlerDepend LIZIZ() {
        MethodCollector.i(570);
        IAdRouterHandlerDepend iAdRouterHandlerDepend = (IAdRouterHandlerDepend) C4672Lnj.LIZ(IAdRouterHandlerDepend.class, false);
        if (iAdRouterHandlerDepend != null) {
            MethodCollector.o(570);
            return iAdRouterHandlerDepend;
        }
        Object LIZIZ = C4672Lnj.LIZIZ(IAdRouterHandlerDepend.class, false);
        if (LIZIZ != null) {
            IAdRouterHandlerDepend iAdRouterHandlerDepend2 = (IAdRouterHandlerDepend) LIZIZ;
            MethodCollector.o(570);
            return iAdRouterHandlerDepend2;
        }
        if (C4672Lnj.LJLJJL == null) {
            synchronized (IAdRouterHandlerDepend.class) {
                try {
                    if (C4672Lnj.LJLJJL == null) {
                        C4672Lnj.LJLJJL = new AdRouterHandlerDependImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(570);
                    throw th;
                }
            }
        }
        AdRouterHandlerDependImpl adRouterHandlerDependImpl = (AdRouterHandlerDependImpl) C4672Lnj.LJLJJL;
        MethodCollector.o(570);
        return adRouterHandlerDependImpl;
    }

    public final void LIZ(String str) {
        M12.LIZ((Object) str);
        EIS.LIZ(str);
    }

    public final C2577Kv2 LIZIZ(C4949LsC<? super Boolean, 2Pr> lsC) {
        return new C2507Ktu(lsC);
    }

    public final C2577Kv2 LIZJ(C4949LsC<? super Boolean, 2Pr> lsC) {
        return new C2506Ktt(lsC);
    }

    public final void LIZ(C4949LsC<? super Boolean, 2Pr> lsC) {
        M12.LIZ((Object) lsC);
        C2553Kue.LIZ((FML) new C2508Ktv(lsC));
    }

    public final boolean LIZIZ(String str) {
        M12.LIZ((Object) str);
        return C4954LsH.LIZ(C4954LsH.LIZ(), str);
    }

    public final boolean LIZ(Context context, String str, String str2) {
        return C2295KqU.LJ.LIZ(context, str, (String) null, false);
    }

    public final void LIZ(String str, JSONObject jSONObject, String str2, String str3) {
        M12.LIZ((Object) str);
        if (C2331Kr4.LIZ) {
            M12.LIZ((Object) str);
        }
    }

    public final boolean LIZ(Context context, String str, Uri uri, C2376Krn krn) {
        M12.LIZ((Object) context);
        ALog.d("commerce_jump", "【filterUrl】 = " + str + " 【market】 special handle");
        M12.LIZ((Object) context);
        if (uri == null) {
            return false;
        }
        Intent intent = new Intent("android.intent.action.VIEW");
        intent.setData(uri);
        intent.addFlags(268435456);
        3i8.LIZ(intent, context);
        context.startActivity(intent);
        return true;
    }
}
